Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234425 - javaldx: Could not find a Java Runtime Environment! (java-1.4.2-gcj-compat vs java-1.5.0-gcj-compat)
Summary: javaldx: Could not find a Java Runtime Environment! (java-1.4.2-gcj-compat vs...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 04:16 UTC by sangu
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.2.0-14.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 13:04:15 UTC


Attachments (Terms of Use)

Description sangu 2007-03-29 04:16:08 UTC
Description of problem:
$cat ~/.xsession-errors
[...]
javaldx: Could not find a Java Runtime Environment! 

$ rpm -qf /usr/lib/openoffice.org/program/javaldx  
openoffice.org-core-2.2.0-14.1

Disable "Use a java runtime eviniroment" in java optins, this problem doesn't
happens.
Version-Release number of selected component (if applicable):
2.2.0-14.1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
High cpu usage in options-java

Expected results:
find java runtime enviroment

Additional info:

gcc-java-4.1.2-6
libgcj-4.1.2-6
libgcj-src-4.1.2-6

Comment 1 Caolan McNamara 2007-03-29 08:51:05 UTC
I don't see this myself with everything up to date as above

What's the output of rpm -q java-1.5.0-gcj ?

Is there a ~/.openoffice.org2.0/user/config/javasettings_Linux_x86.xml can you
attach that file here.

Following that you could also try and 
rm -rf ~/.openoffice.org2.0 and afterwareds attach the output of
strace -f /usr/lib/openoffice.org/program/javaldx > /tmp/strace.log 2>&1

maybe the move from java-1.4.2 to java 1.5.0 has confused something.

Comment 2 sangu 2007-03-29 09:20:36 UTC
$ rpm -qa | grep ^java
java-1.4.2-gcj-compat-1.4.2.0-40jpp.111

$yum install java
[...]
Installed: java-1.5.0-gcj.i386 0:1.5.0.0-11.fc7
Dependency Installed: java_cup.i386 1:0.10-0.k.6jpp.1 sinjdoc.i386 0:0.5-3.fc7
Complete!

this problem( bug 234425 ) doesn't happen.

$ rpm -qR openoffice.org-core
no java

So openoffice.org-core package must requires java-1.5.0-gcj package.

Comment 3 Caolan McNamara 2007-03-29 09:31:21 UTC
I would have expected the yum update to replace compat 1.4.2 with the compat
1.5.0, it did for me I think seeing as rpm -q --provides java-1.5.0-gcj shows
that it provides a java-1.4.2-gcj-compat > 1.4.2.0-40jpp.111. 

Anyway, I can add a Requires: java = 1.5.0 to OOo. That should force the
inclusion of the compat (I don't want to require the compat directly so we can
support people who want to use jpackage to swap in an alternative java soltion)


Note You need to log in before you can comment on or make changes to this bug.